| Home | Libraries | People | FAQ | More

### basic_streambuf

Automatically resizable buffer class based on std::streambuf.

    template<
        typename Allocator = std::allocator<char>>
    class basic_streambuf :
      noncopyable

##### Types

Name | Description
--- | ---
const_buffers_type | The type used to represent the get area as a list of buffers.
mutable_buffers_type | The type used to represent the put area as a list of buffers.

##### Member Functions

Name | Description
--- | ---
basic_streambuf | Construct a buffer with a specified maximum size.
commit | Move the start of the put area by the specified number of characters.
consume | Move the start of the get area by the specified number of characters.
data | Get a list of buffers that represents the get area.
max_size | Return the maximum size of the buffer.
prepare | Get a list of buffers that represents the put area, with the given size.
size | Return the size of the get area in characters.